Bug 165798 - New port: dns/knot high-performance auth-only DNS server by NIC-CZ
New port: dns/knot high-performance auth-only DNS server by NIC-CZ
Status: Closed FIXED
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s)
Latest
Any Any
: Normal Affects Only Me
Assigned To: scheidell
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-07 00:40 UTC by Leo Vandewoestijne
Modified: 2012-03-17 13:07 UTC (History)
0 users

See Also:


Attachments
file.shar (5.50 KB, text/plain)
2012-03-07 00:40 UTC, Leo Vandewoestijne
no flags Details
knot.shar.txt (5.65 KB, text/plain; charset=us-ascii)
2012-03-13 02:55 UTC, Leo Vandewoestijne
no flags Details
sse2.patch (410 bytes, patch)
2012-03-15 16:29 UTC, mexas
no flags Details | Diff
finalize.patch (1.89 KB, patch)
2012-03-17 04:12 UTC, Leo Vandewoestijne
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Leo Vandewoestijne 2012-03-07 00:40:11 UTC
Knot DNS is a high-performance authoritative-only DNS server
which supports all key features of the domain name system
including zone transfers, dynamic updates and DNSSEC.

Fix: Patch attached with submission follows:
Comment 1 scheidell freebsd_committer 2012-03-10 13:07:35 UTC
Responsible Changed
From-To: freebsd-ports-bugs->scheidell

I'll take it.
Comment 2 scheidell freebsd_committer 2012-03-10 13:12:52 UTC
Responsible Changed
From-To: scheidell->crees

crees@ wants his PRs (what happened to auto assign?)
Comment 3 Leo Vandewoestijne 2012-03-13 02:55:59 UTC
On Tue, 13 Mar 2012, Hirohisa Yamaguchi wrote:
> 
> The original shar seems to have several problems:
>  1. misc/userspace-rcu is actually sysutils/userspace-rcu
>
Thanks for correcting; when making the port it was submitted
under the discouraged "misc" category, which was changed to
the more appropiate "sysutils".

>  2. @stopdaemon in pkg-plist does not work
> 
It needed modification in USE_RC_SUBR and appearently the
filename needs to be equal to the command also (which the
porters manual does not mention).


Thanks for your very useful pointers/corrections/improvement!

I did not merge all, as I'd like to have the port as much
as "working out of the box" as possible.

Also 1.0.1 was just released, so I also updated that already to.

-- 

Met vriendelijke groet,
With kind regards,


Leo Vandewoestijne.

  AS50381 / DNS-Lab
INOC-DBA: 50381*100

Comment 4 scheidell freebsd_committer 2012-03-13 20:51:59 UTC
Responsible Changed
From-To: crees->scheidell

Taking it back.
Comment 5 scheidell freebsd_committer 2012-03-13 21:19:36 UTC
State Changed
From-To: open->feedback

Nice looking port.  I might use it once it is done. Q:  I see in rc 
script, you have on two lines: REQUIRE: DAEMON and the next line 
REQUIRE: LOGIN.  these are USUALLY, mutually exclusive.  Do you want 
this to come up right after the other DAEMONS?  why do you need to wait 
for the tty to bring up the LOGIN?  Also, you would normally put this on 
line.  All your requires.  Can I suggest: REQUIRE: DAEMON cleanvar 
(just for clarity: cleanvar will make sure /var/run/* pids are deleted 
before starting).  Can you check this? see if you like that?  check to 
make sure it comes up when you want it to, preview it with:  rcorder 
/etc/rc.d/* /usr/local/etc/rc.d/*
Comment 6 scheidell freebsd_committer 2012-03-14 13:57:42 UTC
found a minor error.with NOPORTEXAMPLES set.


tar: etc/knot/knot.conf: Cannot stat: No such file or directory
1122     tar: Error exit delayed from previous errors.
1123     pkg_create: make_dist: tar command failed with code 256

I will adjust.

-- 
Michael Scheidell, CTO
 >*| * SECNAP Network Security Corporation
d: +1.561.948.2259
w: http://people.freebsd.org/~scheidell
Comment 7 dfilter freebsd_committer 2012-03-14 21:42:10 UTC
scheidell    2012-03-14 21:41:59 UTC

  FreeBSD ports repository

  Modified files:
    dns                  Makefile 
  Added files:
    dns/knot             Makefile distinfo pkg-descr pkg-plist 
    dns/knot/files       knotd.in pkg-message.in 
  Log:
  New port: dns/knot high-performance auth-only DNS server by NIC-CZ
  
  PR:             ports/165798
  Submitted by:   Leo Vandewoestijne <freebsd@dns-lab.com>
  Approved by:    Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.150     +1 -0      ports/dns/Makefile
  1.1       +49 -0     ports/dns/knot/Makefile (new)
  1.1       +2 -0      ports/dns/knot/distinfo (new)
  1.1       +56 -0     ports/dns/knot/files/knotd.in (new)
  1.1       +29 -0     ports/dns/knot/files/pkg-message.in (new)
  1.1       +20 -0     ports/dns/knot/pkg-descr (new)
  1.1       +16 -0     ports/dns/knot/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 scheidell freebsd_committer 2012-03-14 21:42:46 UTC
State Changed
From-To: feedback->patched

I made several changes to Makefile and pkg-plist.  Please test port and review changes. 
It would be educational for you to try to understand what and why these changes were made, some will be easy to understand,  
some might not be easy to understand without extensive knowledge of the ports build structure. 
I am leaving this open (but committed) for now so you can review it.  If anything doesn't work, add a followup (with patch?).   
If after looking at the changes you need to know why a certain change was made, just email me directly and ask. 
If you have no questions or problems I will close this PR Saturday.
Comment 9 mexas 2012-03-15 14:51:23 UTC
On ia64 r231193M and sparc64 r230787M

checking for minix/config.h... no
checking whether it is safe to define __EXTENSIONS__... yes
checking for x86 cpuid  output... unknown
checking for x86 cpuid 0x00000001 output... unknown
checking whether mmx is supported... no
checking whether sse is supported... no
checking whether sse2 is supported... ./configure: arithmetic expression: expecting EOF: "0x>>26&0x01"
===>  Script "configure" failed unexpectedly.
Please report the problem to freebsd@dns-lab.com [maintainer] and attach the
"/usr/ports/dns/knot/work/knot-1.0.1/config.log" including the output of the
failure of your make command. Also, it might be a good idea to provide an
overview of all packages installed on your system (e.g. an `ls /var/db/pkg`).
*** Error code 1

Stop in /usr/ports/dns/knot.


-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 10 Chris Rees freebsd_committer 2012-03-15 15:15:14 UTC
Content migrated from misfiled commit to ports/165787

scheidell    2012-03-15 15:15:00 UTC

  FreeBSD ports repository

  Modified files:
    dns/knot             Makefile 
  Log:
  - Add ONLY_FOR_ARCHS= i386 amd64
  - No PORTREVISION bump
  
  #PR:             ports/165787
  PR:             ports/165798
  Reported by:    Anton Shterenlikht <mexas@bristol.ac.uk>
  Approved by:    Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer, implicit)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.2       +2 -0      ports/dns/knot/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 mexas 2012-03-15 16:29:47 UTC
There is a simple error in configure.
The attached patch should probably
be forwarded upstream. It's an obvious
typo, because the checks for mmx, sse and sse3
are done correctly, but sse2 not.

With this patch I can build, install and package this port
on ia64 and sparc64.

-- 
Anton Shterenlikht
Room 2.6, Queen's Building
Mech Eng Dept
Bristol University
University Walk, Bristol BS8 1TR, UK
Tel: +44 (0)117 331 5944
Fax: +44 (0)117 929 4423
Comment 12 dfilter freebsd_committer 2012-03-16 10:29:06 UTC
scheidell    2012-03-16 10:28:53 UTC

  FreeBSD ports repository

  Modified files:
    dns/knot             Makefile 
  Added files:
    dns/knot/files       patch-configure 
  Log:
  - Unbreak for non i86 archs
  - No PORTREVISION bump
  
  PR:             ports/165798
  Submitted by:   mexas@bristol.ac.uk
  Approved by:    Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer, implicit)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.3       +0 -2      ports/dns/knot/Makefile
  1.1       +15 -0     ports/dns/knot/files/patch-configure (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 Leo Vandewoestijne 2012-03-17 04:12:37 UTC
Hi,


By these my patch to finalize the port.


-- 

Leo.
Comment 14 dfilter freebsd_committer 2012-03-17 12:44:30 UTC
scheidell    2012-03-17 12:44:20 UTC

  FreeBSD ports repository

  Modified files:
    dns/knot             Makefile pkg-plist 
    dns/knot/files       pkg-message.in 
  Log:
  - Final patch
  - Add back cat pkg-message
  - Add knot.full.conf to ETCDIR and pkg-plist
  - Bump PORTREVISON
  
  PR:             ports/165798
  Submitted by:   Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)
  Approved by:    Leo Vandewoestijne <freebsd@dns-lab.com> (maintainer)
  Feature safe:   yes
  
  Revision  Changes    Path
  1.4       +3 -0      ports/dns/knot/Makefile
  1.2       +3 -7      ports/dns/knot/files/pkg-message.in
  1.2       +3 -2      ports/dns/knot/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 scheidell freebsd_committer 2012-03-17 13:07:48 UTC
State Changed
From-To: patched->closed

Committed.  Thanks for everyone's work!